Supercheck LogoSupercheck
CLI Tokens

List CLI tokens

List all CLI tokens for the current project. Also used by supercheck whoami to verify the current token.

GET
/api/cli-tokens

Authorization

bearerAuth
headerAuthorizationBearer <token>

Project-scoped CLI token (sck_live_* or sck_test_*) for documented API operations that accept bearer authentication. Interactive browser operations may require a session cookie. Trigger keys (sck_trigger_* / legacy job_*) are accepted only by job trigger endpoints.

Response Body

List of CLI tokens

application/json
  1. response
success?boolean
tokens?array<>
Example Request
curl -X GET 'https://demo.supercheck.dev/api/cli-tokens'
Example Response
{  "success": true,  "tokens": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "start": "string",      "enabled": true,      "expiresAt": "2019-08-24T14:15:22Z",      "lastRequest": "2019-08-24T14:15:22Z",      "createdByName": "string",      "createdByImage": "string",      "createdAt": "2019-08-24T14:15:22Z"    }  ]}